// firlook.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CMenuDlg dialog

class CMenuDlg : public CDialog
{
// Construction
public:
	CMenuDlg(CWnd* pParent = NULL);	// standard constructor
private:
    CBitmap *m_pBitMenu;
    CBitmap *m_pBitSel;
    int     m_nLine;
    BOOL    m_bInit;
CRect GetSelRect(CPoint point);
void  SetCurSel(CPoint point);
void  DrawSel(CRect rect);                      
void  MenuBar(BOOL bUp);
void  MessageProcess();
// Dialog Data
	//{{AFX_DATA(CMenuDlg)
	enum { IDD = IDD_MENU95 };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
    virtual BOOL PreTranslateMessage(MSG *pMsg);
	// Generated message map functions
	//{{AFX_MSG(CMenuDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};  
/*
/////////////////////////////////////////////////////////////////////////////
// CChildIconWnd frame

class CChildIconWnd : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CChildIconWnd)
public:
	CChildIconWnd();			// protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
// Implementation
public:
	virtual ~CChildIconWnd();

	// Generated message map functions
	//{{AFX_MSG(CChildIconWnd)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
*/
/////////////////////////////////////////////////////////////////////////////
// CPlayMeter window

class CPlayMeter : public CWnd
{
// Construction
public:
	CPlayMeter(CWnd *pParent,BOOL bMemter=1);
    void SetDelayScreen(int nLight,int nLED,BOOL bOnlyChar=0);
// Attributes
//DEALY light
private:
  BOOL m_bMeter;
  int  m_nLight;
  int  m_nLED;
//meter
private:                 

   int     m_MeterRang;
   int     m_MeterOrg;
   int     m_SetSpeed; 
   BOOL    m_bLBD;
   CRect   rectDir;
   CRect   m_WinRect;
   HCURSOR m_hCursor;
   HCURSOR m_hArrow;
   CBitmap *m_pBitMeter;
   CBitmap *m_pBitDirector;
   CBitmap *m_pDirSel;
   CBitmap *MeterBitmap;
   CBitmap m_LED[10];
// Operations
private:     
//delay 
  void PaintDelay(CDC &dc);
  void PaintLight(CDC &dc);
  void PaintChar(CDC &dc);
//memter
   void PaintMeter(CDC &dc);
   void CreateMeter(CDC &dc);
   void PaintDirector();
   void SetMeter();
// Implementation
public:
	virtual ~CPlayMeter();

protected:
	// Generated message map functions
	//{{AFX_MSG(CPlayMeter)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
